import '../icon/icon';
import { LocalizeController } from '../../utilities/localize';
import SolidElement from '../../internal/solid-element';
export default class SdTabGroup extends SolidElement {
    localize: LocalizeController;
    private activeTab?;
    private mutationObserver;
    private resizeObserver;
    private tabs;
    private panels;
    tabGroup: HTMLElement;
    body: HTMLSlotElement;
    nav: HTMLElement;
    indicator: HTMLElement | null;
    private tabsContainer;
    hasScrollControls: boolean;
    variant: string;
    private canScroll;
    activation: 'auto' | 'manual';
    connectedCallback(): void;
    updated(changedProperties: Map<string | number | symbol, unknown>): void;
    disconnectedCallback(): void;
    private getAllTabs;
    private getAllPanels;
    private getActiveTab;
    private handleClick;
    private handleKeyDown;
    private handleScroll;
    private handleScrollToStart;
    private handleScrollToEnd;
    private setActiveTab;
    private setAriaLabels;
    private syncTabsAndPanels;
    private updateScrollControls;
    private repositionIndicator;
    show(panel: string): void;
    render(): import("lit").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'sd-6-22-0-tab-group': SdTabGroup;
    }
}
